package com.github.polpetta.mezzotre.orm.telegram;

import com.github.polpetta.mezzotre.orm.model.Campaign;
import com.github.polpetta.mezzotre.util.UUIDGenerator;
import javax.inject.Inject;

public class CampaignUtil {

  private final UUIDGenerator uuidGenerator;

  @Inject
  public CampaignUtil(UUIDGenerator uuidGenerator) {
    this.uuidGenerator = uuidGenerator;
  }

  public Campaign insertNewCampaign(String name, String description) {
    final Campaign campaign = new Campaign(uuidGenerator.generateAsString(), name, description);

    campaign.save();
    return campaign;
  }
}
